Show / Hide Table of Contents

# Struct hkRootLevelContainer

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkRootLevelContainer

### Fields

| Improve this Doc View Source

#### NamedVariants

##### Declaration

    public hkArray<hkRootLevelContainer.NamedVariant> NamedVariants

##### Field Value

Type | Description
--- | ---
hkArray<hkRootLevelContainer.NamedVariant> |

### Methods

| Improve this Doc View Source

#### findObjectByName(Char*, Void*)

##### Declaration

    public void *findObjectByName(char *objectName, void *prevObject)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Char* | objectName |
System.Void* | prevObject |

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### findObjectByType(Char*, Void*)

##### Declaration

    public void *findObjectByType(char *typeName, void *prevObject)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Char* | typeName |
System.Void* | prevObject |

##### Returns

Type | Description
--- | ---
System.Void* |